//此乃本模块与后台交互的方法接口部分
var uploadfileModule = function(format) {
	this.module = "";
	this.action = "";
	this.format = format;
};

//定义数据交互
uploadfileModule.prototype = BusinessObject;

//插入附件数据
uploadfileModule.prototype.insertUploadfile = function(){};
//修改附件数据
uploadfileModule.prototype.updateUploadfile = function(){};
//删除附件数据
uploadfileModule.prototype.deleteUploadfile = function(){};
//恢复附件数据
uploadfileModule.prototype.resumeUploadfile = function(){};
//清除附件数据
uploadfileModule.prototype.deleteTrueUploadfile = function(){};
//处理附件大字段数据(0清空大字段数据,1存储大字段数据)
uploadfileModule.prototype.setUploadfile = function(){};

//附件数据_分页
uploadfileModule.prototype.list = function(){};
//附件所有数据
uploadfileModule.prototype.listAll = function(){};
//附件数据_分页不含文件大字段
uploadfileModule.prototype.list_nofile = function(){};
//附件所有数据不含文件大字段
uploadfileModule.prototype.listAll_nofile = function(){};

//其它模块调用
//删除附件数据
uploadfileModule.prototype.deleteUploadfileCommon = function(){};
//恢复附件数据
uploadfileModule.prototype.resumeUploadfileCommon = function(){};
//清除附件数据
uploadfileModule.prototype.deleteTrueUploadfileCommon = function(){};

//创建一个数据操作对象，然后再后续使用
uploadfileModule.uploadfileActAction = new uploadfileModule("json").delegate("uploadFileAct");
//创建一个数据获取对象，然后再后续使用
uploadfileModule.uploadfileDataAction = new uploadfileModule("json").delegate("uploadFileData");

//说明： 1、所有方法里统一传递josn格式的参数，用于后台交互，如data.listTables(param) ，如没有参数则传'{}'，如data.listTables({})
//      2、前后台数据获取传输协议  如：json[{'0':{pageCount':'2','pageNo':'1','pageSize':'20','rowSet':'[{0},{1}....]'}}] 
//      3、前后台增删改的返回状态  如：json[{'0':{'rowSet':{'NAME':'-1','VALUE':'保存失败'}}}]
